import DataPivotLegend from './DataPivotLegend';
import { StyleSymbol, StyleLine, StyleText, StyleRectangle } from './Styles';
import { _DataPivot_settings_barchart } from './DataPivotUtilities';

export default {
    plot_settings: {
        plot_width: 400,
        minimum_row_height: 12,
        padding: {
            top: 25,
            right: 25,
            bottom: 40,
            left: 20,
        },
        title: 'Title',
        axis_label: 'Axis label',
        logscale: false,
        show_xticks: true,
        show_yticks: true,
        title_top: undefined,
        title_left: undefined,
        xlabel_top: undefined,
        xlabel_left: undefined,
        domain: '',
        filter_logic: 'and',
        font_style: 'Arial',
        merge_descriptions: false,
        merge_aggressive: true,
        text_background: true,
        text_background_color: '#EEEEEE',
        as_barchart: false,
    },
    legend: DataPivotLegend.default_settings(),
    dataline_settings: [],
    datapoint_settings: [],
    description_settings: [],
    barchart: _DataPivot_settings_barchart.defaults(),
    spacers: [],
    sorts: [],
    filters: [],
    reference_lines: [],
    reference_rectangles: [],
    labels: [],
    row_overrides: [],
    styles: {
        symbols: [
            StyleSymbol.default_settings(),
            {
                name: 'transparent',
                type: 'circle',
                size: 90,
                stroke: '#000000',
                'fill-opacity': 0,
                'stroke-width': 0,
                fill: '#000000',
            },
            {
                name: 'circle | black',
                type: 'circle',
                size: 90,
                stroke: '#000000',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#000000',
            },
            {
                name: 'circle | red',
                type: 'circle',
                size: 90,
                stroke: '#6f0000',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#e32727',
            },
            {
                name: 'circle | green',
                type: 'circle',
                size: 90,
                stroke: '#006a1e',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#22ba53',
            },
            {
                name: 'circle | blue',
                type: 'circle',
                size: 90,
                stroke: '#006dbe',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#3aa4e5',
            },
            {
                name: 'circle | orange',
                type: 'circle',
                size: 90,
                stroke: '#dc8f00',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#ffb100',
            },
            {
                name: 'circle | purple',
                type: 'circle',
                size: 90,
                stroke: '#5e5e5e',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#b82cff',
            },
            {
                name: 'circle | fuschia',
                type: 'circle',
                size: 90,
                stroke: '#ab006c',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#d4266e',
            },
            {
                name: 'triangle up | black',
                type: 'triangle-up',
                size: 90,
                stroke: '#000000',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#000000',
            },
            {
                name: 'triangle up | red',
                type: 'triangle-up',
                size: 90,
                stroke: '#6f0000',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#e32727',
            },
            {
                name: 'triangle up | green',
                type: 'triangle-up',
                size: 90,
                stroke: '#006a1e',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#22ba53',
            },
            {
                name: 'triangle up | blue',
                type: 'triangle-up',
                size: 90,
                stroke: '#006dbe',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#3aa4e5',
            },
            {
                name: 'triangle up | orange',
                type: 'triangle-up',
                size: 90,
                stroke: '#dc8f00',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#ffb100',
            },
            {
                name: 'triangle up | purple',
                type: 'triangle-up',
                size: 90,
                stroke: '#5e5e5e',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#b82cff',
            },
            {
                name: 'triangle up | fuschia',
                type: 'triangle-up',
                size: 90,
                stroke: '#ab006c',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#d4266e',
            },
            {
                name: 'triangle down | black',
                type: 'triangle-down',
                size: 90,
                stroke: '#000000',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#000000',
            },
            {
                name: 'triangle down | red',
                type: 'triangle-down',
                size: 90,
                stroke: '#6f0000',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#e32727',
            },
            {
                name: 'triangle down | green',
                type: 'triangle-down',
                size: 90,
                stroke: '#006a1e',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#22ba53',
            },
            {
                name: 'triangle down | blue',
                type: 'triangle-down',
                size: 90,
                stroke: '#006dbe',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#3aa4e5',
            },
            {
                name: 'triangle down | orange',
                type: 'triangle-down',
                size: 90,
                stroke: '#dc8f00',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#ffb100',
            },
            {
                name: 'triangle down | purple',
                type: 'triangle-down',
                size: 90,
                stroke: '#5e5e5e',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#b82cff',
            },
            {
                name: 'triangle down | fuschia',
                type: 'triangle-down',
                size: 90,
                stroke: '#ab006c',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#d4266e',
            },
            {
                name: 'diamond | black',
                type: 'diamond',
                size: 90,
                stroke: '#000000',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#000000',
            },
            {
                name: 'diamond | red',
                type: 'diamond',
                size: 90,
                stroke: '#6f0000',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#e32727',
            },
            {
                name: 'diamond | green',
                type: 'diamond',
                size: 90,
                stroke: '#006a1e',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#22ba53',
            },
            {
                name: 'diamond | blue',
                type: 'diamond',
                size: 90,
                stroke: '#006dbe',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#3aa4e5',
            },
            {
                name: 'diamond | orange',
                type: 'diamond',
                size: 90,
                stroke: '#dc8f00',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#ffb100',
            },
            {
                name: 'diamond | purple',
                type: 'diamond',
                size: 90,
                stroke: '#5e5e5e',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#b82cff',
            },
            {
                name: 'diamond | fuschia',
                type: 'diamond',
                size: 90,
                stroke: '#ab006c',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#d4266e',
            },
            {
                name: 'square | black',
                type: 'square',
                size: 90,
                stroke: '#000000',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#000000',
            },
            {
                name: 'square | red',
                type: 'square',
                size: 90,
                stroke: '#6f0000',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#e32727',
            },
            {
                name: 'square | green',
                type: 'square',
                size: 90,
                stroke: '#006a1e',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#22ba53',
            },
            {
                name: 'square | blue',
                type: 'square',
                size: 90,
                stroke: '#006dbe',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#3aa4e5',
            },
            {
                name: 'square | orange',
                type: 'square',
                size: 90,
                stroke: '#dc8f00',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#ffb100',
            },
            {
                name: 'square | purple',
                type: 'square',
                size: 90,
                stroke: '#5e5e5e',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#b82cff',
            },
            {
                name: 'square | fuschia',
                type: 'square',
                size: 90,
                stroke: '#ab006c',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#d4266e',
            },
            {
                name: 'cross | black',
                type: 'cross',
                size: 90,
                stroke: '#000000',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#000000',
            },
            {
                name: 'cross | red',
                type: 'cross',
                size: 90,
                stroke: '#6f0000',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#e32727',
            },
            {
                name: 'cross | green',
                type: 'cross',
                size: 90,
                stroke: '#006a1e',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#22ba53',
            },
            {
                name: 'cross | blue',
                type: 'cross',
                size: 90,
                stroke: '#006dbe',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#3aa4e5',
            },
            {
                name: 'cross | orange',
                type: 'cross',
                size: 90,
                stroke: '#dc8f00',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#ffb100',
            },
            {
                name: 'cross | purple',
                type: 'cross',
                size: 90,
                stroke: '#5e5e5e',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#b82cff',
            },
            {
                name: 'cross | fuschia',
                type: 'cross',
                size: 90,
                stroke: '#ab006c',
                'fill-opacity': 0.8,
                'stroke-width': 2,
                fill: '#d4266e',
            },
        ],
        lines: [
            StyleLine.default_settings(),
            StyleLine.default_reference_line(),
            {
                name: 'transparent',
                stroke: '#000000',
                'stroke-dasharray': 'none',
                'stroke-opacity': 0,
                'stroke-width': 0,
            },
            {
                name: 'solid | black',
                stroke: '#000000',
                'stroke-dasharray': 'none',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'solid | red',
                stroke: '#e32727',
                'stroke-dasharray': 'none',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'solid | green',
                stroke: '#006a1e',
                'stroke-dasharray': 'none',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'solid | blue',
                stroke: '#006dbe',
                'stroke-dasharray': 'none',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'solid | orange',
                stroke: '#dc8f00',
                'stroke-dasharray': 'none',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'solid | purple',
                stroke: '#b82cff',
                'stroke-dasharray': 'none',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'solid | fuschia',
                stroke: '#ab006c',
                'stroke-dasharray': 'none',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dashed | black',
                stroke: '#000000',
                'stroke-dasharray': '10, 10',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dashed | red',
                stroke: '#e32727',
                'stroke-dasharray': '10, 10',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dashed | green',
                stroke: '#006a1e',
                'stroke-dasharray': '10, 10',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dashed | blue',
                stroke: '#006dbe',
                'stroke-dasharray': '10, 10',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dashed | orange',
                stroke: '#dc8f00',
                'stroke-dasharray': '10, 10',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dashed | purple',
                stroke: '#b82cff',
                'stroke-dasharray': '10, 10',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dashed | fuschia',
                stroke: '#ab006c',
                'stroke-dasharray': '10, 10',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dotted | black',
                stroke: '#000000',
                'stroke-dasharray': '2, 3',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dotted | red',
                stroke: '#e32727',
                'stroke-dasharray': '2, 3',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dotted | green',
                stroke: '#006a1e',
                'stroke-dasharray': '2, 3',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dotted | blue',
                stroke: '#006dbe',
                'stroke-dasharray': '2, 3',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dotted | orange',
                stroke: '#dc8f00',
                'stroke-dasharray': '2, 3',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dotted | purple',
                stroke: '#b82cff',
                'stroke-dasharray': '2, 3',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dotted | fuschia',
                stroke: '#ab006c',
                'stroke-dasharray': '2, 3',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dash-dotted | black',
                stroke: '#000000',
                'stroke-dasharray': '15, 10, 5, 10',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dash-dotted | red',
                stroke: '#e32727',
                'stroke-dasharray': '15, 10, 5, 10',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dash-dotted | green',
                stroke: '#006a1e',
                'stroke-dasharray': '15, 10, 5, 10',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dash-dotted | blue',
                stroke: '#006dbe',
                'stroke-dasharray': '15, 10, 5, 10',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dash-dotted | orange',
                stroke: '#dc8f00',
                'stroke-dasharray': '15, 10, 5, 10',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dash-dotted | purple',
                stroke: '#b82cff',
                'stroke-dasharray': '15, 10, 5, 10',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
            {
                name: 'dash-dotted | fuschia',
                stroke: '#ab006c',
                'stroke-dasharray': '15, 10, 5, 10',
                'stroke-opacity': 0.9,
                'stroke-width': 2,
            },
        ],
        texts: [
            StyleText.default_settings(),
            StyleText.default_header(),
            StyleText.default_title(),
            {
                name: 'transparent',
                'font-size': '12px',
                rotate: '0',
                'font-weight': 'normal',
                'text-anchor': 'start',
                fill: '#000000',
                'fill-opacity': 0,
            },
            {
                name: 'normal | black',
                'font-size': '12px',
                rotate: '0',
                'font-weight': 'normal',
                'text-anchor': 'start',
                fill: '#000000',
                'fill-opacity': 1,
            },
            {
                name: 'normal | red',
                'font-size': '12px',
                rotate: '0',
                'font-weight': 'normal',
                'text-anchor': 'start',
                fill: '#6f0000',
                'fill-opacity': 1,
            },
            {
                name: 'normal | green',
                'font-size': '12px',
                rotate: '0',
                'font-weight': 'normal',
                'text-anchor': 'start',
                fill: '#006a1e',
                'fill-opacity': 1,
            },
            {
                name: 'normal | blue',
                'font-size': '12px',
                rotate: '0',
                'font-weight': 'normal',
                'text-anchor': 'start',
                fill: '#006dbe',
                'fill-opacity': 1,
            },
            {
                name: 'normal | orange',
                'font-size': '12px',
                rotate: '0',
                'font-weight': 'normal',
                'text-anchor': 'start',
                fill: '#dc8f00',
                'fill-opacity': 1,
            },
            {
                name: 'normal | purple',
                'font-size': '12px',
                rotate: '0',
                'font-weight': 'normal',
                'text-anchor': 'start',
                fill: '#b82cff',
                'fill-opacity': 1,
            },
            {
                name: 'normal | fuschia',
                'font-size': '12px',
                rotate: '0',
                'font-weight': 'normal',
                'text-anchor': 'start',
                fill: '#ab006c',
                'fill-opacity': 1,
            },
        ],
        rectangles: [
            StyleRectangle.default_settings(),
            {
                name: 'black',
                fill: '#000000',
                'fill-opacity': 0.8,
                stroke: '#FFFFFF',
                'stroke-width': 1,
            },
            {
                name: 'red',
                fill: '#e32727',
                'fill-opacity': 0.8,
                stroke: '#6f0000',
                'stroke-width': 1,
            },
            {
                name: 'green',
                fill: '#22ba53',
                'fill-opacity': 0.8,
                stroke: '#006a1e',
                'stroke-width': 1,
            },
            {
                name: 'blue',
                fill: '#3aa4e5',
                'fill-opacity': 0.8,
                stroke: '#006dbe',
                'stroke-width': 1,
            },
            {
                name: 'orange',
                fill: '#ffb100',
                'fill-opacity': 0.8,
                stroke: '#dc8f00',
                'stroke-width': 1,
            },
            {
                name: 'purple',
                fill: '#b82cff',
                'fill-opacity': 0.8,
                stroke: '#5e5e5e',
                'stroke-width': 1,
            },
            {
                name: 'fuschia',
                fill: '#d4266e',
                'fill-opacity': 0.8,
                stroke: '#ab006c',
                'stroke-width': 1,
            },
        ],
    },
};
